#!/bin/bash

if [ -z "$1" ]
then
	echo "$0 <archive> [nopatch]"
	exit 1
fi

ARCHIVE=`rel2abs "$1"`

mkdir -p bouml-src.orig/build-tree
cd bouml-src.orig/build-tree
tar xfz "$ARCHIVE"
mv * bouml_src
cd ../..

mkdir -p bouml-src/build-tree
cd bouml-src/build-tree
tar xfz "$ARCHIVE"
mv * bouml_src
cd ../..

if [ "a$2" != "anopatch" ]
then
  for p in debian/patches/*.patch
  do
    patch -p0 <"$p"
  done
fi
